com.buschmais.jqassistant.plugin.java.impl.scanner

## Class JavaClassesDirectoryScannerPlugin

- java.lang.Object
- - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<I,D>
  - - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractResourceScannerPlugin<I,D>
    - - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractContainerScannerPlugin<File,File,D>
      - - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractDirectoryScannerPlugin<JavaClassesDirectoryDescriptor>
        - - com.buschmais.jqassistant.plugin.java.impl.scanner.JavaClassesDirectoryScannerPlugin

- All Implemented Interfaces:
    com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<File,JavaClassesDirectoryDescriptor>

      public class JavaClassesDirectoryScannerPlugin
      extends com.buschmais.jqassistant.plugin.common.api.scanner.AbstractDirectoryScannerPlugin<JavaClassesDirectoryDescriptor>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.buschmais.jqassistant.core.scanner.api.ScannerPlugin

      `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin.Requires`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaClassesDirectoryScannerPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `enterContainer(File directory, JavaClassesDirectoryDescriptor javaClassesDirectoryDescriptor, com.buschmais.jqassistant.core.scanner.api.ScannerContext context)`
    `protected JavaClassesDirectoryDescriptor` | `getContainerDescriptor(File classPathDirectory, com.buschmais.jqassistant.core.scanner.api.ScannerContext scannerContext)`
    `protected com.buschmais.jqassistant.core.scanner.api.Scope` | `getRequiredScope()`
    `protected void` | `leaveContainer(File directory, JavaClassesDirectoryDescriptor javaClassesDirectoryDescriptor, com.buschmais.jqassistant.core.scanner.api.ScannerContext context)`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractDirectoryScannerPlugin

      `accepts, getContainerPath, getDescriptorType, getEntries, getEntry, getRelativePath, getType`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractContainerScannerPlugin

      `scan`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractResourceScannerPlugin

      `slashify, toFileDescriptor`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin

      `getDirectoryPath, getProperties, getProperty, getStringProperty, getTypeParameter, initialize, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaClassesDirectoryScannerPlugin

          public JavaClassesDirectoryScannerPlugin()

  - ### Method Detail

    - #### getRequiredScope

          protected com.buschmais.jqassistant.core.scanner.api.Scope getRequiredScope()

      Specified by:
        `getRequiredScope` in class `com.buschmais.jqassistant.plugin.common.api.scanner.AbstractDirectoryScannerPlugin<JavaClassesDirectoryDescriptor>`

    - #### enterContainer

          protected void enterContainer(File directory,
                                        JavaClassesDirectoryDescriptor javaClassesDirectoryDescriptor,
                                        com.buschmais.jqassistant.core.scanner.api.ScannerContext context)

      Specified by:
        `enterContainer` in class `com.buschmais.jqassistant.plugin.common.api.scanner.AbstractContainerScannerPlugin<File,File,JavaClassesDirectoryDescriptor>`

    - #### leaveContainer

          protected void leaveContainer(File directory,
                                        JavaClassesDirectoryDescriptor javaClassesDirectoryDescriptor,
                                        com.buschmais.jqassistant.core.scanner.api.ScannerContext context)

      Specified by:
        `leaveContainer` in class `com.buschmais.jqassistant.plugin.common.api.scanner.AbstractContainerScannerPlugin<File,File,JavaClassesDirectoryDescriptor>`

    - #### getContainerDescriptor

          protected JavaClassesDirectoryDescriptor getContainerDescriptor(File classPathDirectory,
                                                                          com.buschmais.jqassistant.core.scanner.api.ScannerContext scannerContext)

      Specified by:
        `getContainerDescriptor` in class `com.buschmais.jqassistant.plugin.common.api.scanner.AbstractContainerScannerPlugin<File,File,JavaClassesDirectoryDescriptor>`

Copyright © 2015 buschmais GbR. All rights reserved.